<template>
  <div class="top-right-cmp">
    <cmpTitle :title="title" position="absolute"></cmpTitle>
    <dv-charts :option="option"  @click.native="jump" style="cursor: pointer;"/>
  </div>
</template>

<script>
  import cmpTitle from "../common/cmpTitle.vue"
export default {
  components:{
    cmpTitle
  },
  name: 'TopRightCmp',
  data () {
    return {

    }
  },
  props:['option','title','path'],
  methods:{
    jump(){
      if(this.path){
        this.$router.push({path:this.path})
      }
    }
  }
}
</script>

<style lang="less">
.top-right-cmp {
  width: 100%;
  height: 100%;
  position: relative;
  box-sizing: border-box;
}
</style>
